# Uses of Class
com.destroystokyo.paper.profile.ProfileProperty

Packages that use ProfileProperty
Package
Description
com.destroystokyo.paper.event.profile
com.destroystokyo.paper.profile

## Uses of ProfileProperty in com.destroystokyo.paper.event.profile

Methods in com.destroystokyo.paper.event.profile that return types with arguments of type ProfileProperty
Modifier and Type
Method
Description
`@NotNull Set<ProfileProperty>`
PreLookupProfileEvent.`getProfileProperties()`
`@NotNull Set<ProfileProperty>`
FillProfileEvent.`getProperties()`
Same as .getPlayerProfile().getProperties()
Method parameters in com.destroystokyo.paper.event.profile with type arguments of type ProfileProperty
Modifier and Type
Method
Description
`void`
PreLookupProfileEvent.`addProfileProperties(@NotNull Set<ProfileProperty> properties)`
Adds any properties currently missing to the prepopulated properties set, replacing any that already were set.
`void`
PreLookupProfileEvent.`setProfileProperties(@NotNull Set<ProfileProperty> properties)`
Clears any existing prepopulated properties and uses the supplied properties Any property in this Set will be automatically prefilled on this Profile
`void`
PreFillProfileEvent.`setProperties(@NotNull Collection<ProfileProperty> properties)`
Sets the properties on the profile, avoiding the call to the Mojang API Same as .getPlayerProfile().setProperties(properties);

## Uses of ProfileProperty in com.destroystokyo.paper.profile

Methods in com.destroystokyo.paper.profile that return types with arguments of type ProfileProperty
Modifier and Type
Method
Description
`@NotNull Set<ProfileProperty>`
PlayerProfile.`getProperties()`
Methods in com.destroystokyo.paper.profile with parameters of type ProfileProperty
Modifier and Type
Method
Description
`default boolean`
PlayerProfile.`removeProperty(@NotNull ProfileProperty property)`
Removes a specific property from this profile
`void`
PlayerProfile.`setProperty(@NotNull ProfileProperty property)`
Sets a property.
Method parameters in com.destroystokyo.paper.profile with type arguments of type ProfileProperty
Modifier and Type
Method
Description
`default boolean`
PlayerProfile.`removeProperties(@NotNull Collection<ProfileProperty> properties)`
Removes all properties in the collection
`void`
PlayerProfile.`setProperties(@NotNull Collection<ProfileProperty> properties)`
Sets multiple properties.